Open CASCADE Technology: StepData_FreeFormEntity Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
StepData_FreeFormEntity Class Reference

A Free Form Entity allows to record any kind of STEP parameters, in any way of typing It is implemented with an array of fields A Complex entity can be defined, as a chain of FreeFormEntity (see Next and As) More...

`#include <StepData_FreeFormEntity.hxx>`

Inheritance diagram for StepData_FreeFormEntity:
[legend]

## Public Member Functions
| StepData_FreeFormEntity ()
| Creates a FreeFormEntity, with no field, no type. More...
void | SetStepType (const Standard_CString typenam)
| Sets the type of an entity For a complex one, the type of this member. More...
Standard_CString | StepType () const
| Returns the recorded StepType For a complex one, the type of this member. More...
void | SetNext (const Handle< StepData_FreeFormEntity > &next, const Standard_Boolean last=Standard_True)
| Sets a next member, in order to define or complete a Complex entity If <last> is True (D), this next will be set as last of list Else, it is inserted just as next of <me> If <next> is Null, Next is cleared. More...
Handle< StepData_FreeFormEntity > | Next () const
| Returns the next member of a Complex entity (remark : the last member has none) More...
Standard_Boolean | IsComplex () const
| Returns True if a FreeFormEntity is Complex (i.e. has Next) More...
Handle< StepData_FreeFormEntity > | Typed (const Standard_CString typenam) const
| Returns the member of a FreeFormEntity of which the type name is given (exact match, no sub-type) More...
Handle< TColStd_HSequenceOfAsciiString > | TypeList () const
| Returns the list of types (one type for a simple entity), as is (non reordered) More...
void | SetNbFields (const Standard_Integer nb)
| Sets a count of Fields, from scratch. More...
Standard_Integer | NbFields () const
| Returns the count of fields. More...
const StepData_Field & | Field (const Standard_Integer num) const
| Returns a field from its rank, for read-only use. More...
StepData_Field & | CField (const Standard_Integer num)
| Returns a field from its rank, in order to modify it. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Static Public Member Functions
static Standard_Boolean | Reorder (Handle< StepData_FreeFormEntity > &ent)
| Reorders a Complex entity if required, i.e. if member types are not in alphabetic order Returns False if nothing done (order was OK or simple entity), True plus modified <ent> if <ent> has been reordered. More...

## Detailed Description

A Free Form Entity allows to record any kind of STEP parameters, in any way of typing It is implemented with an array of fields A Complex entity can be defined, as a chain of FreeFormEntity (see Next and As)

## Constructor & Destructor Documentation

StepData_FreeFormEntity::StepData_FreeFormEntity | ( |  | ) |

Creates a FreeFormEntity, with no field, no type.

## Member Function Documentation

StepData_Field& StepData_FreeFormEntity::CField | ( | const Standard_Integer | num | ) |

Returns a field from its rank, in order to modify it.

const StepData_Field& StepData_FreeFormEntity::Field | ( | const Standard_Integer | num | ) | const

Returns a field from its rank, for read-only use.

Standard_Boolean StepData_FreeFormEntity::IsComplex | ( |  | ) | const

Returns True if a FreeFormEntity is Complex (i.e. has Next)

Standard_Integer StepData_FreeFormEntity::NbFields | ( |  | ) | const

Returns the count of fields.

Handle< StepData_FreeFormEntity > StepData_FreeFormEntity::Next | ( |  | ) | const

Returns the next member of a Complex entity (remark : the last member has none)

static Standard_Boolean StepData_FreeFormEntity::Reorder | ( | Handle< StepData_FreeFormEntity > & | ent | ) |
| static

Reorders a Complex entity if required, i.e. if member types are not in alphabetic order Returns False if nothing done (order was OK or simple entity), True plus modified <ent> if <ent> has been reordered.

void StepData_FreeFormEntity::SetNbFields | ( | const Standard_Integer | nb | ) |

Sets a count of Fields, from scratch.

void StepData_FreeFormEntity::SetNext | ( | const Handle< StepData_FreeFormEntity > & | next,
|  | const Standard_Boolean | last = `Standard_True`
| ) |  |

Sets a next member, in order to define or complete a Complex entity If <last> is True (D), this next will be set as last of list Else, it is inserted just as next of <me> If <next> is Null, Next is cleared.

void StepData_FreeFormEntity::SetStepType | ( | const Standard_CString | typenam | ) |

Sets the type of an entity For a complex one, the type of this member.

Standard_CString StepData_FreeFormEntity::StepType | ( |  | ) | const

Returns the recorded StepType For a complex one, the type of this member.

Handle< StepData_FreeFormEntity > StepData_FreeFormEntity::Typed | ( | const Standard_CString | typenam | ) | const

Returns the member of a FreeFormEntity of which the type name is given (exact match, no sub-type)

Handle< TColStd_HSequenceOfAsciiString > StepData_FreeFormEntity::TypeList | ( |  | ) | const

Returns the list of types (one type for a simple entity), as is (non reordered)

The documentation for this class was generated from the following file:

- StepData_FreeFormEntity.hxx